Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.hp.hpl.jena.graph
Class Node_URI

    java.lang.Object
      com.hp.hpl.jena.graph.Node
          com.hp.hpl.jena.graph.Node_Concrete
              com.hp.hpl.jena.graph.Node_URI

    public class Node_URI

extends Node_Concrete

RDF nodes with a global identity given by a URI.

Author:
  kers

Nested Class Summary

Nested classes/interfaces inherited from class com.hp.hpl.jena.graph.Node
`Node.NotLiteral`

Field Summary

Fields inherited from class com.hp.hpl.jena.graph.Node
`ANY, NULL`

Method Summary
`boolean` | `equals(java.lang.Object other)` Nodes only equal other Nodes that have equal labels.
`java.lang.String` | `getLocalName()` get the localname part of this node if it's a URI node, else die horribly
`java.lang.String` | `getNameSpace()` get the namespace part of this node if it's a URI node, else die horribly
`java.lang.String` | `getURI()` get the URI of this node if it has one, else die horribly
`boolean` | `hasURI(java.lang.String uri)` answer true iff this node is a URI node with the given URI
`boolean` | `isURI()` Answer true iff this node is a URI node [subclasses override]
`java.lang.String` | `toString(PrefixMapping pm, boolean quoting)` Answer a String representing the node, taking into account the PrefixMapping.
`java.lang.Object` | `visitWith(NodeVisitor v)` Visit a Node and dispatch on it to the appropriate method from the NodeVisitor `v`.

Methods inherited from class com.hp.hpl.jena.graph.Node_Concrete
`isConcrete`

Methods inherited from class com.hp.hpl.jena.graph.Node
`cache, create, create, create, createAnon, createAnon, createLiteral, createLiteral, createLiteral, createLiteral, createUncachedLiteral, createURI, createVariable, getBlankNodeId, getBlankNodeLabel, getIndexingValue, getLiteral, getLiteralDatatype, getLiteralDatatypeURI, getLiteralIsXML, getLiteralLanguage, getLiteralLexicalForm, getLiteralValue, getName, getType, hashCode, isBlank, isLiteral, isVariable, matches, sameValueAs, toString, toString, toString`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Method Detail

### getURI

    public java.lang.String getURI()

  Description copied from class: `Node`
  get the URI of this node if it has one, else die horribly

  Overrides:
    `getURI` in class `Node`

### visitWith

    public java.lang.Object visitWith(NodeVisitor v)

  Description copied from class: `Node`
  Visit a Node and dispatch on it to the appropriate method from the NodeVisitor `v`.

  Specified by:
    `visitWith` in class `Node`
  Parameters:
    `v` - the visitor to apply to the node
  Returns:
    the value returned by the applied method

### isURI

    public boolean isURI()

  Description copied from class: `Node`
  Answer true iff this node is a URI node [subclasses override]

  Overrides:
    `isURI` in class `Node`

### toString

    public java.lang.String toString(PrefixMapping pm,
                                     boolean quoting)

  Answer a String representing the node, taking into account the PrefixMapping. The horrible test against null is a stopgap to avoid a circularity issue. TODO fix the circularity issue

  Overrides:
    `toString` in class `Node`

### equals

    public boolean equals(java.lang.Object other)

  Description copied from class: `Node`
  Nodes only equal other Nodes that have equal labels.

  Specified by:
    `equals` in class `Node`

### getNameSpace

    public java.lang.String getNameSpace()

  Description copied from class: `Node`
  get the namespace part of this node if it's a URI node, else die horribly

  Overrides:
    `getNameSpace` in class `Node`

### getLocalName

    public java.lang.String getLocalName()

  Description copied from class: `Node`
  get the localname part of this node if it's a URI node, else die horribly

  Overrides:
    `getLocalName` in class `Node`

### hasURI

    public boolean hasURI(java.lang.String uri)

  Description copied from class: `Node`
  answer true iff this node is a URI node with the given URI

  Overrides:
    `hasURI` in class `Node`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2001, 2002, 2003, 2004, 2005, 2006, 2007, 2008 Hewlett-Packard Development Company, LP